#include "Actuator.hpp"
#include "../ui/ComponentRegistration.hpp"
#include "../ui/ActuatorEditor.hpp"

REGISTER_COMPONENT_GROUP("Actuator", "Game", ActuatorComponent, ActuatorEditor)
{
	registry.registerComponent<ActuatorComponent>(
		"Actuator", "Game", std::make_unique<ActuatorEditor>(),
		// Adder
		[](flecs::entity e) {
			if (!e.has<ActuatorComponent>())
				e.set<ActuatorComponent>({});
		},
		// Remover
		[](flecs::entity e) {
			if (e.has<ActuatorComponent>())
				e.remove<ActuatorComponent>();
		});
}
